gpd2frech {POT} | R Documentation

## Transforms GPD Observations to Unit Frechet Ones and Vice Versa

### Description

Transforms GPD observations to unit Frechet ones and vice versa

### Usage

    gpd2frech(x, loc = 0, scale = 1, shape = 0, pat = 1)
    frech2gpd(z, loc = 0, scale = 1, shape = 0, pat = 1)

### Arguments

`x,z` | The vector of observations.
`loc,scale,shape` | The location, scale and shape parameters respectively.
`pat` | The proportion above the threshold, i.e. Pr[X > log] = pat.

### Details

Let x_i, i=1,…,n be the realisation of a GPD random variable. Thus, the transformation to unit Frechet is defined as:

z_i = -1 / log [1 - pat (1 + shape *(x_i - loc) / scale)_+^(-1/shape)]

### Value

A numeric vector.

### Author(s)

Mathieu Ribatet

### Examples

    x <- rgpd(10, 0, 1, 0.25)
    z <- gpd2frech(x, 0, 1, 0.25)
    z
    all(frech2gpd(z, 0, 1, 0.25) == x)

[Package POT version 1.1-7 Index]